Subject: Re: bug#46791: 27.1; crash at gtk_label_new()

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Feb 2021 09:30:32 +0200

> Date: Sat, 27 Feb 2021 12:35:56 +0900 (JST)
> Cc: [email-masked]
> From: YASUOKA Masahiko <[email-masked]>
> 
> > Thanks.  Could you please try the slightly different patch below?  It
> > is IMO safer, since it doesn't depend on a 'char *' pointer into a
> > Lisp string's data to remain valid after some point in the code.
> 
> Yes.  I tested your patch, it seems to fix the problem.

Thanks, I installed the change on the emacs-27 branch, for the
upcoming Emacs 27.2, and I'm therefore marking this bug done.